=== debian/control ===
Source: ftl-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/mixer/ftl-sdk
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), libjansson-dev, libcurl4-gnutls-dev,
 ninja-build, quilt, cmake, pkg-config

Package: libftl0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Faster Than Light protocol - runtime libraries
 A real-time streaming protocol, which means it supports sub-second
 latency.This allows you to engage and communicate with your viewers in real
 time with virtually no delay.

Package: libftl-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libftl0 (= ${binary:Version}), ${misc:Depends}
Description: Faster Than Light protocol - development files
 A real-time streaming protocol, which means it supports sub-second
 latency.This allows you to engage and communicate with your viewers in real
 time with virtually no delay.
