=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Bbuild -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-Wno-dev

override_dh_auto_test:
