## ftl-dmo 0.10.1

=== debian/changelog ===
ftl-dmo (1:0.10.1-dmo2) unstable; urgency=medium

  * Fix build with cmake 4

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jan 2026 16:07:14 +0100

ftl-dmo (1:0.10.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Swith to new repository https://github.com/Scrumplex

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Nov 2024 14:41:33 +0100

ftl-dmo (1:0.9.14-dmo2) unstable; urgency=medium

  * Rebuild for time_t (libcurl3t64-gnutls)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 15:10:42 +0100
