=== debian/control ===
Source: ftl-dmo
Section: libs
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/Scrumplex/ftl-sdk
Standards-Version: 4.7.3
Build-Depends: debhelper-compat (= 13), libjansson-dev, libcurl4-gnutls-dev,
 ninja-build, cmake, pkgconf, quilt,

Package: libftl0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Faster Than Light protocol - runtime libraries
 A real-time streaming protocol, which means it supports sub-second
 latency.This allows you to engage and communicate with your viewers in real
 time with virtually no delay.

Package: libftl-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libftl0 (= ${binary:Version}), ${misc:Depends},
Description: Faster Than Light protocol - development files
 A real-time streaming protocol, which means it supports sub-second
 latency.This allows you to engage and communicate with your viewers in real
 time with virtually no delay.
