=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DCMAKE_C_FLAGS="$(CFLAGS) -fpermissive" \
	-DCMAKE_CXX_FLAGS="$(CXXFLAGS) -fpermissive" \
	-Wno-dev

override_dh_auto_test:
